package com.xxfc.platform.summit.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.util.HashMap;
import java.util.Map;

@Data
public class ActivityBmExcel {
    private  final Map<Integer,String> map= new HashMap(){{
        put(0,"否");
        put(1,"是");
    }};


    @Column(name = "name")
    @ApiModelProperty("报名人姓名")
    private String name;

    @Column(name = "phone")
    @ApiModelProperty("报名人电话")
    private String phone;

    @Column(name = "id_number")
    @ApiModelProperty("身份证号")
    private String idNumber;

    @Column(name = "inviter")
    @ApiModelProperty("邀请人")
    private String inviter;

    @Column(name = "qd_status")
    @ApiModelProperty("0-未签到；1-已签到")
    private String qdStatus;



    public void setQdStatus(Integer qdStatus) {
        this.qdStatus = map.get(qdStatus);
    }
}
